<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package myportal
 */

?>
		</div><!-- .clear -->

	</div><!-- #content .site-content -->
	
	<footer id="colophon" class="site-footer container">

		<?php if ( ( is_active_sidebar( 'footer-1' ) || is_active_sidebar( 'footer-2' ) || is_active_sidebar( 'footer-3' ) ) ) { ?>

			<div class="footer-columns clear">

					<div class="footer-column footer-column-1 ht_grid_1_4">
						<?php dynamic_sidebar( 'footer-1' ); ?>
					</div>

					<div class="footer-column footer-column-2 ht_grid_1_4">
						<?php dynamic_sidebar( 'footer-2' ); ?>
					</div>

					<div class="footer-column footer-column-3 ht_grid_1_4">
						<?php dynamic_sidebar( 'footer-3' ); ?>
					</div>		

					<div class="footer-column footer-column-4 ht_grid_1_4">
						<?php dynamic_sidebar( 'footer-4' ); ?>
					</div>															

			</div><!-- .footer-columns -->

		<?php } ?>

		<?php if ( is_active_sidebar( 'footer-partners' ) && is_home() ) { ?>

			<div class="footer-partners clear">
				<div class="partner-title">
					<span><?php echo get_theme_mod('partners-title','Our Partners'); ?></span>
					<i class="fa fa-caret-right"></i>
				</div>
				<div class="partner-wrap">
					<?php dynamic_sidebar( 'footer-partners' ); ?>
				</div>
			</div>

		<?php } ?>

		<div class="clear"></div>

			<?php 
				if ( has_nav_menu( 'friend' ) && is_home() ) {
			?>
			<div class="friend">
				<h3><?php echo get_theme_mod('friend-title','We Recommended'); ?></h3>

				<?php
					wp_nav_menu( array( 'theme_location' => 'friend', 'menu_id' => 'friend-menu', 'menu_class' => 'friend-nav' ) );
				?>
			</div><!-- .friend -->
			<?php
				}
			?>	

		<div id="site-bottom" class="clear">

			<?php 
				if ( has_nav_menu( 'footer' ) ) {
					wp_nav_menu( array( 'theme_location' => 'footer', 'menu_id' => 'footer-menu', 'menu_class' => 'footer-nav' ) );
				}
			?>	

			<div class="site-info">

				<?php if(get_theme_mod('footer-credit')) { 
					
					echo get_theme_mod('footer-credit');
					
					} else { 
						$author_uri = 'https://www.happythemes.com/';
						$theme_uri = 'https://www.happythemes.com/wordpress-themes/myportal/';
				?>

				&copy; <?php echo date("o"); ?> <a href="<?php echo home_url(); ?>"><?php echo get_bloginfo('name'); ?></a> - <a href="<?php echo $theme_uri; ?>" target="_blank"><?php echo __('WordPress Theme', 'myportal'); ?></a> by <a href="<?php echo $author_uri; ?>" target="_blank">HappyThemes</a>

				<?php } ?>

			</div><!-- .site-info -->
			
		</div><!-- #site-bottom -->
							
	</footer><!-- #colophon -->

</div><!-- #page -->

<div class="bottom-right">

	<?php if ( get_theme_mod('right-twitter-on', true) ) : ?>	
	<div class="icon-twitter">
		<a title="<?php esc_html_e('Follow us on Twitter','myportal'); ?>" href="<?php echo get_theme_mod('header-twitter-link', 'https://twitter.com/happythemeshq'); ?>"><span class="icon"><i class="fa fa-twitter"></i></span></a>		
	</div>
	<?php endif; ?>

	<?php if ( get_theme_mod('right-facebook-on', true) ) : ?>	
	<div class="icon-facebook">
		<a title="<?php esc_html_e('Become a fan','myportal'); ?>" href="<?php echo get_theme_mod('header-facebook-link', 'https://www.facebook.com/happythemeshq'); ?>"><span class="icon"><i class="fa fa-facebook"></i></span></a>		
	</div>
	<?php endif; ?>

	<?php if ( get_theme_mod('back-top-on', true) ) : ?>
	<div id="back-top">
		<a href="#top" title="<?php esc_html_e('Back to top'); ?>"><span class="icon"><i class="fa fa-chevron-up"></i></span></a>
	</div>
	<?php endif; ?>
</div><!-- .bottom-right -->

<?php wp_footer(); ?>

</body>
</html>
